@ECHO OFF

REM Get-PingStatusChange.bat
REM simple script to check ping status changes (reply/no reply) for one remote computer
REM by Nils Kaczenski, faq-o-matic.net
REM Version 160620

IF "%1"=="" (
	ECHO No target computer defined.
	ECHO Syntax: %0 ^<Computername^>
	ECHO 	where ^<Computername^> is a NetBIOS or DNS name or an IP address
	GOTO :EOF
	)

REM Customize here if you want
SET WaitFor=10
SET AliveColor=2e
SET NoReplyColor=4e
REM end customize

SET CurrentStatus=Unknown
TITLE %1
ECHO.
ECHO Checking ping status every %WaitFor% seconds. Press Ctrl-C to quit.
ECHO.
ECHO %time%: Start checking %1

:Loop
REM ping the target machine, look for valid reply
PING -4 -n 1 %1 | FIND /I "TTL">NUL
IF %ERRORLEVEL%==0 (
	REM target machine did reply
	SET NewStatus=Alive
	COLOR %AliveColor%
	) ELSE (
	REM target machine did not reply
	SET NewStatus=NoReply
	COLOR %NoReplyColor%
	)
IF %NewStatus%==%CurrentStatus% (
	REM no change yet
	) ELSE (
	REM status has changed, display it
	ECHO.
	ECHO %time%: Status of %1 changed to %NewStatus%
	SET CurrentStatus=%NewStatus%
	)

REM show simple activity bar using dots
ECHO|SET /p=.
REM wait for a number of seconds
PING -n %WaitFor% 127.0.0.1 > NUL

GOTO :Loop